FROM debian:10-slim

RUN  apt update && apt install -y wget &&  \ 
   mkdir /torrserver/ && cd /torrserver/ && mkdir /db && mkdir /cache &&  \
   wget -O TorrServer -P /torrserver/ "https://github.com/YouROK/TorrServer/releases/download/MatriX.132/TorrServer-linux-amd64" &&  \
   chmod +x /torrserver/TorrServer

EXPOSE 8090:8090

ENTRYPOINT ["/torrserver/TorrServer", "--path", "/db"]
#ENTRYPOINT ["/torrserver/TorrServer", "--path", "/db", "--ssl"]

#VOLUME db:/db
#VOLUME ["--path" "/cfg"]
